## EDataBookCursorSqlite

EDataBookCursorSqlite — The SQLite cursor implementation

## Functions

EDataBookCursor * | e_data_book_cursor_sqlite_new ()

## Types and Values

struct | EDataBookCursorSqlite
struct | EDataBookCursorSqliteClass

## Object Hierarchy

        GObject
        ╰── EDataBookCursor
            ╰── EDataBookCursorSqlite

## Includes

    #include <libedata-book/libedata-book.h>

## Description

This cursor implementation can be used with any backend which stores contacts using EBookSqlite.

## Functions

### e_data_book_cursor_sqlite_new ()

    EDataBookCursor *
    e_data_book_cursor_sqlite_new (EBookBackend *backend,
                                   EBookSqlite *ebsql,
                                   const gchar *revision_key,
                                   const EContactField *sort_fields,
                                   const EBookCursorSortType *sort_types,
                                   guint n_fields,
                                   GError **error);

Creates an EDataBookCursor and implements all of the cursor methods using the delegate `ebsql` object.

This is a suitable cursor type for any backend which stores its contacts using the EBookSqlite object.

#### Parameters

backend | the EBookBackend creating this cursor |
ebsql | the EBookSqlite object to base this cursor on |
revision_key | The key name to consult for the current overall contacts database revision |
sort_fields | an array of EContactFields as sort keys in order of priority. | [array length=n_fields]
sort_types | an array of EBookCursorSortTypes, one for each field in `sort_fields` . | [array length=n_fields]
n_fields | the number of fields to sort results by. |
error | a return location to story any error that might be reported. |

#### Returns

A newly created EDataBookCursor, or `NULL` if cursor creation failed.

[transfer full]

Since: 3.12

## Types and Values

### struct EDataBookCursorSqlite

    struct EDataBookCursorSqlite;

An opaque handle for the SQLite cursor instance.

Since: 3.12

### struct EDataBookCursorSqliteClass

    struct EDataBookCursorSqliteClass {
    };

The SQLite cursor class structure.

Since: 3.12